//
// Copyright(c) 2001 Simon Howard
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of version 2 of the GNU General Public License
// as published by the Free Software Foundation.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//--------------------------------------------------------------------------

#ifndef __LEXER_H__
#define __LEXER_H__

typedef enum {
	TOKEN_NONE,
	TOKEN_PLUS,
	TOKEN_MINUS,
	TOKEN_LOOPSTART,
	TOKEN_LOOPEND,
	TOKEN_PREV,
	TOKEN_NEXT,
	TOKEN_READ,
	TOKEN_WRITE
} token_t;

#endif
